[UIFe] Dash - No message displayed when no results are returned in the Dash

Bug #711199 reported by Sebastien Bacher on 2011-02-01
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
John Lea
Music Lens
Undecided
Michal Hruby
Unity
Fix Released
Medium
Brandon Schaefer
unity-2d
Medium
Paweł Stołowski
unity-lens-applications
Undecided
Michal Hruby
unity-lens-files
Undecided
Michal Hruby
unity (Ubuntu)
Medium
Unassigned
unity-2d (Ubuntu)
Medium
Unassigned
unity-lens-applications (Ubuntu)
Undecided
Unassigned
unity-lens-files (Ubuntu)
Undecided
Unassigned
unity-lens-music (Ubuntu)
Undecided
Unassigned

Bug Description

No message displayed when no results are returned in the Dash

To Reproduce:
1. Open the Dash (either Dash Home, File Lens, App Lens, or Music Lens) and search for a nonsense string like "gvflsrgfvn"
2. Nothing is displayed

What should happen:

- A message should be displayed with the following syntax "Sorry, there [are/is] no [data type description] that [match/matches] your search. Note that "are" is always used in conjunction with "match" and "is" is always used in conjunction with "matches".

- If the Lens does not contain the data type description string, the following message should be displayed "Sorry, there is nothing that matches your search."

- The exact 'no results' message for each default Lens should be as follows
-- In the App Lense, a message saying "Sorry, there are no applications that match your search." should be displayed.
-- In the File Lense, a message saying "Sorry, there are no files or folders that match your search." should be displayed.
-- In the Music Lense, a message saying "Sorry, there is no music that matches your search." should be displayed.
-- In the Dash Home, a message saying "Sorry, there is nothing that matches your search." should be displayed.

-------------------------------------

Visual design is attached to this bug, see "tweaks_dash_no_results.png"

Related branches

Didier Roche (didrocks) on 2011-02-01
Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
Didier Roche (didrocks) wrote :

actually, it's rather a design task

Changed in unity:
status: Triaged → Incomplete
Changed in unity (Ubuntu):
status: Triaged → Incomplete
Neil J. Patel (njpatel) wrote :

Need this for next release, it looks bad right now.

Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → High
milestone: none → 3.6.4
Didier Roche (didrocks) on 2011-03-10
Changed in unity:
milestone: 3.6.4 → 3.6.6
Neil J. Patel (njpatel) on 2011-03-17
Changed in unity:
milestone: 3.6.6 → 3.6.8
Changed in unity-2d:
status: New → Incomplete
importance: Undecided → High
tags: added: delta-with-3d
John Lea (johnlea) on 2011-03-23
description: updated
David Barth (dbarth) wrote :

Design update: we don't need icons anymore, but this is still a change request. A string in particular.

Changed in unity:
status: Incomplete → Triaged
Changed in unity-2d:
status: Incomplete → Confirmed
milestone: none → 3.10
Neil J. Patel (njpatel) on 2011-03-24
Changed in ayatana-design:
status: New → Invalid
status: Invalid → Incomplete
status: Incomplete → Fix Released
Changed in unity (Ubuntu):
status: Incomplete → Fix Committed
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-24
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package unity - 3.6.8-0ubuntu1

---------------
unity (3.6.8-0ubuntu1) natty; urgency=low

  * New upstream release.
    - crash at the second drag and drop from an unity place (LP: #736704)
    - Compiz crashes with SIGSEGV in nux::GraphicsDisplay::GrabPointer when
      opening the Dash (LP: #737287)
    - Visual Tearing/Rendering Issues with Unity Launcher (LP: #737476)
    - unity-window-decorator crash on unity panel dragout (LP: #740480)
    - unity-panel-service crashed with SIGSEGV in g_type_check_instance_is_a()
      (LP: #694699)
    - compiz crashed with SIGSEGV in nux::BaseTexture::GetDeviceTexture()
      (LP: #692823)
    - the "no result" and "search the web" items need icons (LP: #711199)
    - Resizing with external padding/grab area prevents reaching edge of
      screen (LP: #710356)
    - drag and drop of launcher icons uses microscopic drag icon (LP: #727647)
    - text in places look squeezed (LP: #727799)
    - at-spi-registry consumes most of the CPU and make the system unusable on
      Natty (LP: #729827)
    - migrate_favorites.py crashed with GError in __main__: Bad key or
      directory name: "/desktop/unity/launcher/favorites/app-
      dc++.desktop/type": `+' is an invalid character in key/directory names
      (LP: #737016)
    - Launcher hide state is confusing (LP: #739850)
    - Polish new launcher hide state (part 2) (LP: #740020)
    - launcher icons should expan on super or when entering keynav
      (LP: #741319)
    - Launcher - Dragging a Launcher icon to the Trash should remove the icon
      (LP: #676466)
    - Launcher - Enable dragging and dropping of files & folders to Launcher
      icons (LP: #676549)
    - Dash - Add Dash group header mouseover effect (LP: #689640)
    - unity aborts when you plug in an external monitor (LP: #700757)
    - Keyboard-navigation: focus on launcher remembered (LP: #713340)
    - Launcher Quicklists should always contain the application title
      (LP: #723877)
    - When a maximized window has window on top of it in 'restored state' (not
      maximised) , it is not possible to un-maximized the window by dragging
      the title bar downwards (LP: #723882)
    - When windows open for the first time they should not hide the launcher
      (LP: #723878)
    - UI blocked when expanding a section with more than 2000 items
      (LP: #736059)
    - Change ALT-Tab to bring the target window to the front (LP: #736938)
    - compiz crashed with SIGABRT in __kernel_vsyscall() (LP: #737814)
    - Launcher does not respond to changes in icon theme (LP: #605475)
    - Implement new style scrollbars in Dash (LP: #608124)
    - Closing launcher menu raises window under mouse (LP: #728787)
    - adding url launcher support from the search (LP: #739038)
    - Launcher - Set Launcher 'Hide Animation' to 'Slide only' by default.
      Also introduce subtle fade in effect. (LP: #739567)
    - "Time & Date" settings appears in launcher with empty tooltip
      (LP: #740907)
    - ZeitgeistLog missing implementation of get_property for "connected"
      (LP: #734080)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - The Unity P...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
summary: - the "no result" and "search the web" items need icons
+ Replace "no result" and "search the web" items with a more explicit
+ explanation
Changed in unity-2d:
assignee: nobody → Florian Boucault (fboucault)
milestone: 3.10 → 3.8.2

The goal for Unity 2D is now to synchronise with whatever strings/visual appearance is now in place in Unity.

Changed in unity-2d:
assignee: Florian Boucault (fboucault) → Olivier Tilloy (osomon)
Changed in unity-2d:
milestone: 3.8.2 → 3.10
Changed in unity-2d:
milestone: 3.10 → none
assignee: Olivier Tilloy (osomon) → nobody
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2011-09-14
summary: - Replace "no result" and "search the web" items with a more explicit
- explanation
+ No message displayed when no results are returned in the Dash

@om26er; could you revert this bug to 'Confirmed' in "unity (Ubuntu)", thx.

description: updated
tags: added: onew udo
Changed in unity:
status: Fix Released → Confirmed
summary: - No message displayed when no results are returned in the Dash
+ Dash - No message displayed when no results are returned in the Dash
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
Omer Akram (om26er) on 2011-09-14
Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
status: Fix Released → Fix Committed
status: Fix Committed → Confirmed
Changed in unity:
importance: High → Medium
Changed in unity-2d:
importance: High → Medium
Omer Akram (om26er) on 2011-09-24
Changed in unity:
milestone: 3.6.8 → backlog
John Lea (johnlea) on 2011-10-18
tags: added: udp
Changed in ayatana-design:
status: Fix Released → Fix Committed

@John Would you mind taking a look at the message you suggest being displayed.

My suggestion would be to avoid any hard coding or changing the name of the lens. Such as if you wanted an "or" in between "Files & Folders"; this would either be hard coded or it would have to be replaced each time we wanted to display it. The user might have more then the 3 built in lenses, so a standard way of doing the display messages would be ideal. This would also help the unity-2d team with the same messages.

So the message can be broad, like your suggestion for the home lens where it would fit all lenses:
"Sorry, there is nothing that matches your search."

Or something that would take the name of the lens into consideration, screenshot attached.

Thanks

Changed in unity:
assignee: Neil J. Patel (njpatel) → Brandon Schaefer (brandontschaefer)
status: Confirmed → In Progress
Changed in ayatana-design:
status: Fix Committed → Incomplete
John Lea (johnlea) on 2011-12-05
Changed in ayatana-design:
status: Incomplete → Fix Committed
Changed in unity:
status: In Progress → Incomplete
Omer Akram (om26er) on 2011-12-06
Changed in unity:
milestone: backlog → 5.0.0
status: Incomplete → Confirmed
Changed in unity:
status: Confirmed → In Progress
sachit (staticd-growthecommons) wrote :

As suggested in https://bugs.launchpad.net/hundredpapercuts/+bug/899915

could the "No results" message contain text suggesting "look in another lens" ?

John Lea (johnlea) wrote :

description updated

description: updated
Gord Allott (gordallott) on 2012-01-12
Changed in unity:
milestone: 5.0.0 → 5.2.0
Didier Roche (didrocks) on 2012-01-12
Changed in unity:
milestone: 5.2.0 → 5.0.0
Didier Roche (didrocks) on 2012-01-12
Changed in unity:
milestone: 5.0.0 → 5.2.0
Michal Hruby (mhr3) on 2012-01-16
Changed in unity-lens-music:
assignee: nobody → Michal Hruby (mhr3)
Changed in unity-lens-applications:
assignee: nobody → Michal Hruby (mhr3)
Changed in unity-lens-files:
assignee: nobody → Michal Hruby (mhr3)
Changed in unity-lens-music:
status: New → In Progress
Changed in unity-lens-applications:
status: New → In Progress
Changed in unity-lens-files:
status: New → In Progress

New branch, which works with the fix mhr3 added to the lenses.

Still waiting on the outcome of this bug to see what to do with the HomeView (as it doesn't have a message displayed currently).
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/885738

Omer Akram (om26er) on 2012-01-30
Changed in unity-lens-music (Ubuntu):
status: New → Fix Committed
Changed in unity-lens-music:
status: In Progress → Fix Committed
Changed in unity-lens-applications:
status: In Progress → Fix Committed
Changed in unity-lens-files:
status: In Progress → Fix Committed
Changed in unity-lens-applications (Ubuntu):
status: New → Fix Committed
Omer Akram (om26er) on 2012-01-30
Changed in unity-lens-files (Ubuntu):
status: New → Fix Committed
Michal Hruby (mhr3) on 2012-01-30
Changed in unity:
milestone: 5.2.0 → 5.4.0
Didier Roche (didrocks) on 2012-02-01
Changed in unity (Ubuntu):
status: Confirmed → In Progress
John Lea (johnlea) wrote :
description: updated
John Lea (johnlea) wrote :

Visual design attached to bug

Alright, here are screen shots to match the visual design. The code should be ready for 5.4!

Didier Roche (didrocks) on 2012-02-17
Changed in unity:
milestone: 5.4.0 → 5.6.0
Michal Hruby (mhr3) on 2012-03-06
summary: - Dash - No message displayed when no results are returned in the Dash
+ [UIFe] Dash - No message displayed when no results are returned in the
+ Dash
Michal Hruby (mhr3) wrote :

We'll need to notify ubuntu-doc and ubuntu-translators lists when this lands in trunk.

Gerry Boland (gerboland) on 2012-03-07
Changed in unity-2d:
milestone: none → 5.8
Didier Roche (didrocks) on 2012-03-12
Changed in unity:
milestone: 5.6.0 → 5.8.0
Changed in unity-2d:
assignee: nobody → Pawel Stolowski (stolowski)
Changed in unity-2d:
status: Confirmed → In Progress
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-03-23
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Changed in unity-lens-music:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2012-03-23
Changed in unity-2d:
milestone: 5.8 → 5.10.0
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package unity - 5.8.0-0ubuntu1

---------------
unity (5.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - New "push mouse offscreen" feature really difficult to get (LP: #923749)
    - unity-2d-panel crashed with SIGSEGV in
      unity::indicator::DBusIndicators::Impl::RequestSyncAll() (LP: #864737)
    - Pressing "Alt+Enter" causes compiz to crash in CompOption::value() from
      unity::UnityScreen::showLauncherKeyTerminate (LP: #960957)
    - SEGSIGV after unplugging external monitor (LP: #962693)
    - Background colorization should use a different heuristic (LP: #865239)
    - compiz+unity3d generates > 50 wakeups a second on idle system
      (LP: #917210)
    - [FFe, UIFe] HUD - The HUD does not respect launcher autohide or icon
      size settings (LP: #921506)
    - clicking on folders in the file lens does not open nautilus
      (LP: #921665)
    - No text inside multirange filters (LP: #927710)
    - can't alt-tab restore minimized uis which have an instance on another
      workspace (LP: #933397)
    - Ubuntu Software Center Unity launcher integration is not working
      (LP: #932280)
    - The line separator between the launcher and the dash is cleared when
      selecting a category (LP: #941082)
    - unity-panel-service crashed with SIGSEGV in g_hash_table_foreach()
      (LP: #937119)
    - Alt-F10 locks up Unity (LP: #948522)
    - multimonitor, launcher: Provide an option to display either a single
      launcher or a launcher on each display in a multi-monitor environment
      (LP: #950136)
    - multimonitor: Please give me a way to turn off sticky monitor edges
      (LP: #946104)
    - Unity 5.6: key bindings (such as Super) don't work on empty workspace or
      on slow/loaded systems (LP: #953089)
    - Alt+arrows keyboard shortcuts don't invoke Back and Forward navigation
      (LP: #953783)
    - HUD is sending 2 menu signals instead of 1 (LP: #956878)
    - 6th item of HUD not fully visible (LP: #957229)
    - HUD: seems to trigger operations more than once (LP: #960503)
    - Launcher gets always desaturated when using HUD on secondary monitor
      (LP: #961169)
    - [5.8 pre staging] launcher is displayed on the left screen, not the
      primary one (LP: #961281)
    - launcher icons do not re-saturate after dash is closed (LP: #961844)
    - Launcher shows arrows for applications on all workspaces (LP: #961977)
    - Dash - Implement overlay scrollbars in Dash (LP: #608124)
    - [UIFe] Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - Dash - "See more..." line should be base-aligned with section header
      (LP: #748101)
    - Dash - Missing category separator line in dash (LP: #850984)
    - Dash and Launcher - As soon as a user starts dragging a file from the
      Dash, there is a 'flicker' before the Launcher icons that are valid drop
      receptacles re-saturate (LP: #863230)
    - Dash - When multiple results have equal string match relevancy ranking,
      those with equal ranking should be then sorted by frequency of use.
      (LP: #871900)
    - Keyboard shortcut - F10 shortcut is used to show m...

Read more...

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 5.8.0-0ubuntu1

---------------
unity-lens-files (5.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - clicking on folders in the file lens does not open nautilus
      (LP: #921665)
    - Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - Privacy Delete history is not deleting download history (LP: #947856)
    - Locate scope doesn't respect privacy settings (LP: #955229)
    - \\192.168.1.x opens http:\\192.168.1.x in firefox as opposed to
      smb://192.168.1.x in nautilus (LP: #773841)
    - Web url regexp matches non url (LP: #948086)
  * debian/control:
    - build-dep on newer zeitgeist
 -- Didier Roche <email address hidden> Fri, 23 Mar 2012 15:05:24 +0100

Changed in unity-lens-files (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 5.8.0-0ubuntu1

---------------
unity-lens-applications (5.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - Dash - When multiple results have equal string match relevancy ranking,
      those with equal ranking should be then sorted by frequency of use.
      (LP: #871900)
    - Dash - Combined filters lead to wrong search result in Applications lens
      (LP: #942878)
    - Alt+F2 - ssh:// and smb:// access doesn't work in Unity (should open
      Nautilus) (LP: #770126)
 -- Didier Roche <email address hidden> Fri, 23 Mar 2012 15:23:52 +0100

Changed in unity-lens-applications (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 5.8.0-0ubuntu1

---------------
unity-lens-music (5.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - The music lens needs a Dee TreeIndex (LP: #948860)
  * debian/control:
    - add libxml2-dev to build-dep
    - build-dep on latest dee
 -- Didier Roche <email address hidden> Fri, 23 Mar 2012 15:27:08 +0100

Changed in unity-lens-music (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-04-12
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.10.0-0ubuntu1

---------------
unity-2d (5.10.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - unity-2d-shell crashed with SIGSEGV in
      QCoreApplication::notifyInternal() (LP: #918566)
    - Unity-2d-shell crashes on startup on 64bit machines with 20+ tiles in
      launcher (LP: #967012)
    - Unity 2-d launcher doesn't hide or display properly (LP: #940590)
    - [dash] search terms aren't applied on lens change / dash show
      (LP: #947985)
    - [5.8 pre staging] "sticky edge" option does nothing visible
      (LP: #961285)
    - [dash] Maximise, then restore - much of background not removed from
      screen (LP: #968215)
    - [hud] shows up when using ctrl+alt and pressing alt first (LP: #972318)
    - [UIFe] Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - Missing lens shortcuts (Super-A, Super-F) (LP: #834078)
    - [dash] Unable to scroll Filter Results (LP: #920878)
    - [launcher] stays open if you mouseOut before reveal animation completes
      (LP: #943296)
    - HUD on wrong screen on mutli monitor system (LP: #947145)
    - [a11y] Orca reports "Shell" when opening HUD, Dash or Launcher
      (LP: #948033)
    - multimonitor: Please give me a way to turn off sticky monitor edges
      (LP: #946104)
    - [dash] Esc key behavior inconsistent with Unity (LP: #966121)
    - toggling the spread from the launcher does not work (LP: #968146)
    - unity-2d-shell crashed with SIGSEGV in KeyMonitor::registerEvents()
      (LP: #965464)
    - [Dash] Focus is lost when switching with the mouse (LP: #974235)
    - Multiple items selected in HUD list (LP: #948441)
    - Hud hides launcher even if set to always show (LP: #948960)
    - [launcher] Pointer reveal barrier should be 1 way only (LP: #960175)
    - [hud] connection to HUD being created on startup (LP: #965106)
    - [dash] On 1024x786 screen, dash not fullscreen so border truncated
      (LP: #967305)
  * debian/20_ubuntu-2d-gconf-default:
    - set a default key for HUD showing on Alt, in case unity-3d isn't
      installed or run before unity-2d.
  * debian/control:
    - bump libnux-2.0-dev to latest for ABI break
 -- Didier Roche <email address hidden> Thu, 12 Apr 2012 11:02:08 +0200

Changed in unity-2d (Ubuntu):
status: Confirmed → Fix Released
Nick Tait (jnick-tait) on 2012-04-20
tags: added: reviewedbydesignp
Changed in ayatana-design:
status: Fix Committed → Fix Released
Nick Tait (jnick-tait) on 2012-04-20
tags: removed: udo udp
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers